import { AbstractSession } from "@zowe/imperative";
import { IDB2Session } from "../../index";
/**
 * Non-abstract session class
 * @deprecated This session object should be able to be removed
 * @export
 * @class Session
 * @extends {AbstractSession}
 */
export declare class Session extends AbstractSession {
    /**
     * Creates an instance of Session.
     * @param {IDB2Session} newSession - contains input for new session
     * @memberof Session
     */
    constructor(newSession: IDB2Session);
}
